//------------------------------------------------------------
// Tony Hyun Kim
// Spring 2007
// 18.354 Project: Lattice gas
// D3D CAMERA HEADER
//------------------------------------------------------------

#ifndef CAMERA_H
#define CAMERA_H

#include <d3dx9.h>

class Camera
{
public:
	Camera();
	Camera(float height);
	~Camera();

	const D3DXVECTOR3& GetPos();

	void Strafe(float units); // Left-right (along x)
	void Scroll(float units); // Up-down (along y)
	void Zoom(float units);   // In-out  (along z)

	void GetViewMatrix(D3DXMATRIX* V);

private:

	D3DXVECTOR3 up;
	D3DXVECTOR3 look;
	D3DXVECTOR3 pos;
};

extern Camera myCamera;

#endif